#ifndef monFollow_INCLUDED
	#define monFollow_INCLUDED

#include <bncs_script_helper.h>

#ifdef WIN32
	#ifdef DOEXPORT_SCRIPT
		#define EXPORT_SCRIPT __declspec(dllexport) 
	#else
		#define EXPORT_SCRIPT 
	#endif
#else 
	#define EXPORT_SCRIPT
#endif
 
class monFollow : public bncs_script_helper
{
public:
	monFollow( bncs_client_callback * parent, const char* path );
	virtual ~monFollow();

	void buttonCallback( buttonNotify *b );
	int revertiveCallback( revertiveNotify * r );
	void databaseCallback( revertiveNotify * r );
	bncs_string parentCallback( parentNotify *p );
	void timerCallback( int );
	
private:
	bncs_string m_panel;
	int m_device;
	int m_dest;
	int m_source;

	bool m_following;

	bncs_string m_instance;
	
};


#endif // monFollow_INCLUDED